import { executeSchedule as e } from "./index-executeSchedule.js";
import { operate as u } from "./index-lift.js";
import { createOperatorSubscriber as i } from "./index-OperatorSubscriber.js";
function x(o, t) {
  return t === void 0 && (t = 0), u(function(f, n) {
    f.subscribe(i(n, function(r) {
      return e(n, o, function() {
        return n.next(r);
      }, t);
    }, function() {
      return e(n, o, function() {
        return n.complete();
      }, t);
    }, function(r) {
      return e(n, o, function() {
        return n.error(r);
      }, t);
    }));
  });
}
export {
  x as observeOn
};
